Bug 463725 - LVS do nothing when VIP is down.
LVS do nothing when VIP is down.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: piranha (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ryan O'Hara
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-24 05:25 EDT by Zhenyong(Jerry) Jiang
Modified: 2016-04-26 10:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 593729 (view as bug list)
Environment:
Last Closed: 2011-08-05 10:35:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhenyong(Jerry) Jiang 2008-09-24 05:25:36 EDT
Description of problem:

1, make sure all the things works well.
2, Down the VIP on eth0:1 by ifconfig eth0:1 down
3, LVS do nothing even when VIP is down, and all the request connections will fail


Version-Release number of selected component (if applicable):

RHEL4 cluster and RHEL5 cluster.

How reproducible:

100%

Steps to Reproduce:

1, make sure all the things works well.
2, Down the VIP on eth0:1 by ifconfig eth0:1 down
3, LVS do nothing even when VIP is down, and all the request connections will fail

  
Actual results:

Down VIP does not make LVS failover.

Expected results:

LVS should failover to backup LVS or restart the VIP.

Additional info:
Comment 11 Lon Hohberger 2011-08-05 10:35:10 EDT
Piranha has never monitored the VIPs after setting them up.

Users are advised that if they remove a VIP monitored by Piranha that it will not recover it.

We will evaluate fixing this in a later release of RHEL.
Comment 12 RHEL Product and Program Management 2011-08-05 10:35:21 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.